Bug 144968 - USB palm device is not connected when hotsync button is pressed
USB palm device is not connected when hotsync button is pressed
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-12 22:38 EST by Juan Martinez
Modified: 2015-01-04 17:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:23:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juan Martinez 2005-01-12 22:38:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922 Galeon/1.3.18

Description of problem:
When the hotsync button on the USB cradle is pressed, there are no
syslog entries indicating that the device has been recognized.

The previous kernel would show messages like the following when the
button was pressed:

Jan 10 09:10:51 cleo kernel: usb 2-1.4: new full speed USB device
using address
7
Jan 10 09:10:51 cleo kernel: visor 2-1.4:1.0: Handspring Visor / Palm
OS converter detected
Jan 10 09:10:51 cleo kernel: usb 2-1.4: Handspring Visor / Palm OS
converter now attached to ttyUSB0
Jan 10 09:10:51 cleo kernel: usb 2-1.4: Handspring Visor / Palm OS
converter now attached to ttyUSB1


After the hotsync was finished, there were messages showing that it
had been disconnected from ttyUSB0 and ttyUSB1.

Version-Release number of selected component (if applicable):
2.6.10-1.8_FC2

How reproducible:
Always

Steps to Reproduce:
1. Boot the 2.6.10-1.8_FC2 kernel
2. With the palm device in the cradle, press the hotsync button.
3. Check /var/log/messages for appropriate entries.
    

Actual Results:  The pda times out on its hotsync.  Jpilot also times
out if it's waiting for the connection.

Expected Results:  The system should recognize the palm device and
attach the usb convertor to a few USB tty device files.

Additional info:
Comment 1 Dave Jones 2005-04-16 00:23:21 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.